<template>
  <div>
    <b-navbar toggleable="lg" type="light" variant="light" >
        <b-navbar-brand href="#">
         ShoppPet
        </b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
        <b-collapse id="nav-collapse" is-nav>
        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
            <b-nav-form>
            <b-form-input size="sm" class="mr-sm-3" placeholder="Buscar por producto o Categoria"></b-form-input>
            <b-button size="sm" class="my-2 my-sm-0" type="submit">Search</b-button>
            </b-nav-form>
            &nbsp; &nbsp;
             <b-nav-item-dropdown right>
          <!-- Using 'button-content' slot -->
          <template v-slot:button-content >
            <em @click="getCart"><b-icon-handbag  font-scale="2" style="color: black;"></b-icon-handbag><label>{{cart.qty}}</label>  </em>
          </template>
          <b-dropdown-item href="#">
            <li v-for="item in cart.items" :key="item.id">{{item.name}}</li>
            Subtotal: ${{formatPrice(cart.subtotal)}}
          </b-dropdown-item>
         
        </b-nav-item-dropdown>
            
        </b-navbar-nav>
        </b-collapse>
    </b-navbar>
    <b-row>
      <b-col md="3">
        <b-container>
          <b-row>
            <b-col md="12">
              <Categories></Categories>
            </b-col>
        </b-row>
        </b-container>
      </b-col>
      <b-col md="9">
          <Products/>
      </b-col>
    </b-row>
    
  </div>
</template>
<script>
import Products from './components/Products.vue'
import Categories from './components/Categories.vue'
export default {
  name: 'App',
  components: {
    Products,
    Categories
  },
  data: function() {
    return {
      cart: {
         qty:0,
         subtotal:0,
         items:[]
       }
    };
  },
  created() {
    this.$root.$refs.App = this;
  },
  methods: {
    formatPrice(value) {
      let val = (value / 1).toFixed(0).replace(".", ",");
      return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ".");
    },
    getCart(){
      this.cart;
      console.log('cart');
    },
    addToCart(item){
      this.$bvToast.toast(`Agregado Exitosamente`, {
          href: '#foo',
          title: 'Carro'
        })
      this.cart.qty+=1;
      this.cart.subtotal+=item.price
      this.cart.items.push(item);
    },
    removeFromCart(item){
        this.$bvToast.toast(`Removido Exitosamente`, {
          href: '#foo',
          title: 'Carro'
        })
      this.cart.qty-=1;
      this.cart.subtotal-=item.price
      this.cart.items.pop(item);
    }
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
